### Method

# Gtk IconView get_visible_range

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_icon_view_get_visible_range (
      GtkIconView* icon_view,
      GtkTreePath** start_path,
      GtkTreePath** end_path
    )

#### Description [src]

Sets `start_path` and `end_path` to be the first and last visible path. Note that there may be invisible paths in between.

Both paths should be freed with `gtk_tree_path_free()` after use.

Deprecated since: 4.10

Use `GtkGridView` instead.

#### Parameters

`start_path`

  Type: `GtkTreePath`

  Return location for start of region.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`end_path`

  Type: `GtkTreePath`

  Return location for end of region.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE`, if valid paths were placed in `start_path` and `end_path`.